S4B Any Audio Grabber

Soft4Boost Help

S4B Any Audio Grabber

www.sorentioapps.com

© Sorentio Systems Ltd. All rights reserved


Contact Us

If you have any comments, suggestions or questions regarding S4B Any Audio Grabber or if you have a new feature that you feel can be added to improve our product, please feel free to contact us.

When you register your product, you may be entitled to technical support.

General information: info@soft4boost.com

Technical support: support@soft4boost.com

Sales: sales@soft4boost.com

Technical Support

S4B Any Audio Grabber do not require any professional knowledge. If you experience any problem or have a question, please refer to the S4B Any Audio Grabber Help. If you cannot find the solution, please contact our support staff.

Note: only registered users receive technical support

S4B Any Audio Grabber provides several forms of automated customer support

Soft4Boost Support System

You can use the Support Form on our site to ask your questions.

E-mail Support

You can also submit your technical questions and problems via e-mail to support@soft4boost.com

Note: for more effective and quick resolving of the difficulties we will need the following information:

Name and e-mail address used for registration

System parameters (CPU, hard drive space available, etc.)

Operating System

Detailed step by step describing of your action


Resources

Documentation for S4B Any Audio Grabber is available in a variety of formats:

In-product (.chm-file) and Online Help:

You will be able to use help file (.chm) through the Help menu of the installed S4B Any Audio Grabber.

Online Help include all the content from the In-product help file and updates and links to additional instructional content available on the web. You can find the Support at our web-site - http://sorentioapps.com. Please note, that the most complete and up-to-date version of S4B Any Audio Grabber help is always on the web.

PDF Documentation

The offline help is also available as a pdf-file that is optimized for printing. PDF help file is available for download at the program page at Soft4Boost web-site. To be able to read and print S4B Any Audio Grabber PDF help file you will need to have a PDF reading program installed.

User Guides

You have access to a wide variety of resources that help you make S4B Any Audio Grabber. The step-by-step user guides will be of help not only to the novice users but also to the users that face a certain task to be performed and look for a way to do it. Please, visit our Support section of Soft4Boost web-site at to read the detailed instructions for various software and tasks.

Technical Support

Visit the Support at our web-site http://sorentioapps.com to ask your questions concerning S4B Any Audio Grabber installation, registration and use. Feel free to also use our e-mail address support@soft4boost.com

Downloads

Visit the Downloads section of our web-site to find free updates, tryouts, and other useful software. We constantly update the software, new versions of the most popular programs and new software are also frequently released.


Overview

Soft4Boost Any Audio Grabber is designed for grabbing audio tracks from CD/DVDs and saving them to your hard drive selecting the output file formats according to your wish. The interface of this application is also wizard-styled, so one can use S4B Any Audio Grabber without any difficulties.

Besides simple grabbing audio tracks from audio CD/DVDs S4B Any Audio Grabber lets you receive information from the source of CDDB, edit it, select the specific details you want to include in the output file name, such as Track Number, Song Title, Artist or Album. You can also add the information to your output file, for example Title, Artist, Album or Comment.

To start S4B Any Audio Grabber go to Start menu and choose All Programs -> Soft4Boost -> Any Aydio Grabber –> Any Audio Grabber.


Step 1: Getting Started

After clicking the S4B Any Audio Grabber icon in Start menu or in Desktop, Step 1 window will appear. At Step 1 the application will ask you to select the CD/DVD drive where the audio disc is located. If you have only one CD/DVD drive in your computer, it'll be chosen by default.

You can see a list of tracks at the audio CD/DVD. All of the available tracks will be selected automatically for grabbing, but in case you don't want any of them to be included into the list, simply uncheck the unnecessary track. If you right click the list of audio tracks you can find an additional menu, which allows you to Select all tracks or Invert selection.

To make sure you've selected the correct tracks you can play the highlighted track directly from S4B Any Audio Grabber. For that please use the following buttons:

It is also possible to rewind or fast-forward the highlighted file using Seeking Bar.

When copying files to your hard drive S4B Any Audio Grabber will name the grabbed files. You can specify the details you want to include in the file name, such as Track number, Song Title, Artist and Album. Click the Options button at the bottom of the window and File Name Options window will appear.

Use Move Up and Move Down buttons to change the order of file name details. Remove the unnecessary details just unchecking them. It is also possible to select a Separator for file name details from the Separator list. It could be Space, Dash, Dots, Underline, Space Dash Space or None. You can see the preview of a file name at the bottom of File Name Options window.

Using the CDDB options tab you can specify the source of CDDB information:

In this window you can replace, add or delete servers using the Replace, Add or Delete buttons accordingly. You can also move servers up and down with the Move Up and Move Down buttons.

You can also specify the Proxy, User Name, Port and TimeOut details if you would like to. Click the OK button to save changes and close the Servers window.

After you finished, please click the Next >> button.


Step 2: Setting Output File Parameters

At Step 2 S4B Any Audio Grabber will suggest that you set the following output file parameters: File Format and Grab Mode.

File Format

There are nine available output file formats in S4B Any Audio Grabber. They are: MP3, MP2, MP+, AAC, M4A, AMR, WAV, Ogg Vorbis, WMA. It is possible to change the default output file format setting for MP3 and Ogg Vorbis formats by clicking the Advanced... button.

Available MP3 parameters combinations

You can find the available MP3 parameters combinations in the table below:

Frequency | Mono |  | Stereo
 | Minimum | Maximum | Minimum | Maximum
48 KHz | 64 Kbps | 320 Kbps | 128 Kbps | 320 Kbps
44 KHz | 56 Kbps | 320 Kbps | 112 Kbps | 320 Kbps

32 KHz | 40 Kbps | 320 Kbps | 80 Kbps | 320 Kbps
24 KHz | 32 Kbps | 160 Kbps | 64 Kbps | 160 Kbps
22 KHz | 32 Kbps | 160 Kbps | 56 Kbps | 160 Kbps
16 KHz | 32 Kbps | 160 Kbps | 40 Kbps | 160 Kbps
12 KHz | 24 Kbps | 160 Kbps | 32 Kbps | 160 Kbps
11 KHz | 16 Kbps | 160 Kbps | 32 Kbps | 160 Kbps
8 KHz | 8 Kbps | 160 Kbps | 8 Kbps | 160 Kbps

Frequency | 8 KHz |  | 11.025 KHz | 16 KHz |  | 22.05 KHz | 24 KHz |  | 32KHz | 44.1 KHz |  | 48 KHz
Bitrate | m | st | m | st | m | st | m | st | m | st | m | st | m | st | m | st
8 | + | + | + |  |  |  |  |  |  |  |  |  |  |  |  |
16 | + | + | + | + | + | + | + | + | + |  |  |  |  |  |  |
24 | + | + | + | + | + | + | + | + | + | + |  |  |  |  |  |
32 | + | + | + | + | + | + | + | + | + | + | + | + | + | + | + | +
40 | + | + | + | + | + | + | + | + | + | + | + | + | + | + | + | +
48 | + | + | + | + | + | + | + | + | + | + | + | + | + | + | + | +
56 | + | + | + | + | + | + | + | + | + | + | + | + | + | + | + | +
64 | + | + | + | + | + | + | + | + | + | + | + | + | + | + | + | +
80 |  |  |  |  | + | + | + | + | + | + | + | + | + | + | + | +
96 |  |  |  |  | + | + | + | + | + | + | + | + | + | + | + | +
112 |  |  |  |  | + | + | + | + | + | + | + | + | + | + | + | +
128 |  |  |  |  | + | + | + | + | + | + | + | + | + | + | + | +
144 |  |  |  |  | + | + | + | + | + | + | + | + | + | + | + | +
160 |  |  |  |  | + | + | + | + | + | + | + | + | + | + | + | +
192 |  |  |  |  |  |  |  |  |  |  | + | + | + | + | + | +
224 |  |  |  |  |  |  |  |  |  |  | + | + | + | + | + | +
256 |  |  |  |  |  |  |  |  |  |  | + | + | + | + | + | +
320 |  |  |  |  |  |  |  |  |  |  | + | + | + | + | + | +
384 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |

MP3 supports all the combinations of the frequency and bitrate if the bitrate varies from Minimum to Maximum values for the current supported frequency.

Available MP2 parameters combinations

You can find the available MP2 parameters combinations in the table below:

Frequency | 16 KHz |  | 22.05 KHz | 24 KHz |  | 32KHz | 44.1 KHz |  | 48 KHz
Bitrate | m | st | m | st | m | st | m | st | m | st | m | st
8 | + |  | + |  | + |  |  |  |  |  |  |
16 | + | + | + | + | + | + |  |  |  |  |  |
24 | + | + | + | + | + | + |  |  |  |  |  |
32 | + | + | + | + | + | + | + |  | + |  | + |
40 | + | + | + | + | + | + | + |  | + |  | + |
48 | + | + | + | + | + | + | + | + | + | + | + | +
56 | + | + | + | + | + | + | + | + | + | + | + | +
64 | + | + | + | + | + | + | + | + | + | + | + | +
80 | + | + | + | + | + | + | + | + | + | + | + | +
96 | + | + | + | + | + | + | + | + | + | + | + | +
112 | + | + | + | + | + | + | + | + | + | + | + | +

128 | + | + | + | + | + | + | + | + | + | + | + | +
144 | + | + | + | + | + | + | + | + | + | + | + | +
160 | + | + | + | + | + | + | + | + | + | + | + | +
192 |  |  |  |  |  |  | + | + | + | + | + | +
224 |  |  |  |  |  |  | + | + | + | + | + | +
256 |  |  |  |  |  |  | + | + | + | + | + | +
320 |  |  |  |  |  |  | + | + | + | + | + | +
384 |  |  |  |  |  |  | + | + | + | + | + | +

Frequency | Mono and Stereo
 | Minimum | Maximum
48 - 320 Kbps | 22 KHz | 48 KHz
40 Kbps | 22 KHz | 24 KHz
32 Kbps | 22 KHz | 48 KHz
8 - 24 Kbps | 22 KHz | 24 KHz

MP2 supports all the combinations of the frequency and bitrate if the frequency varies from Minimum to Maximum values for the current supported bitrate.

Available Ogg Vorbis parameters combinations

You can find the available Ogg Vorbis parameters combinations in the table below:

Frequency | Mono |  | Stereo
 | Minimum | Maximum | Minimum | Maximum
48 KHz | 48 Kbps | 192 Kbps | 48 Kbps | 320 Kbps
44 KHz | 48 Kbps | 128 Kbps | 48 Kbps | 256 Kbps
32 KHz | 48 Kbps | 112 Kbps | 48 Kbps | 192 Kbps
24 KHz | 32 Kbps | 56 Kbps | 48 Kbps | 160 Kbps
22 KHz | 32 Kbps | 56 Kbps | 48 Kbps | 160 Kbps
16 KHz | 48 Kbps | 96 Kbps | 48 Kbps | 192 Kbps
12 KHz | 32 Kbps | 48 Kbps | 48 Kbps | 96 Kbps
11 KHz | 48 Kbps | 48 Kbps | 48 Kbps | 64 Kbps
8 KHz | 8 Kbps | 24 Kbps | 16 Kbps | 48 Kbps

Ogg Vorbis supports all the combinations of the frequency and bitrate if the bitrate varies from Minimum to Maximum values for the current supported frequency.

Grab Mode

In the table below you can find the description of available grab modes:

Grab Mode | Description
Burst Mode (Fast, no Error Corrections) | Optimal for fast grab. No jitter correction. Normal block read at once.
Synch Mode (Correct Jitter Errors) | Optimal for precision grab. Synchronous by time marks reading (jitter errors correction). Normal block read at once. S4B Any Audio Grabber reading will be synchronized by time marks on the audio disc (In the subchannel Q) during audio data grabbing. This will slow the disc grabbing process but this method will

guarantee more exact grabbing - without samples loss. But the most of the modern drives (created after about 2002 year) have such synchronizing embedded. This feature is stream accurate.
Secure Mode (Double Precision Error Correction) | Optimal for precision grab of old and very used CD/DVD. Synchronous by time marks reading (jitter errors correction). Small block read at once. Every block reads and re-reads before the number of the blocks, contains the same data will be 50% or more from the number of read blocks. S4B Any Audio Grabber reading will be synchronized by time marks on the audio disc (In the subchannel Q) during audio data grabbing. This will slow the disc grabbing process but this method will guarantee more exact grabbing - without samples loss. But the most of the modern drives (created after about 2002 year) have such synchronizing embedded. This feature is stream accurate.
Paranoid Mode (Small Blocks Read, drive cache disable) | Optimal only for grab on unreadable (scratched) CD/DVD. Synchronous by time marks reading (jitter errors correction). Very small block read at once. If CD/DVD drive caches audio data, catch will be disable. Every block reads and re-reads before the number of the blocks, contains the same data will be 50% or more from the number of read blocks. S4B Any Audio Grabber reading will be synchronized by time marks on the audio disc (In the subchannel Q) during audio data grabbing. This will slow the disc grabbing process but this method will guarantee more exact grabbing - without samples loss. But the most of the modern drives (created after about 2002 year) have such synchronizing embedded. This feature is stream accurate.

After selection of the Grab Mode, please click the Next >> button.


Step 3: Setting Output File Location

S4B Any Audio Grabber will automatically locate all of the output files in My Music folder at your computer. You will be able to change output file location at Step 3. For that click the Change... button and select desired output file location.

There is an opportunity to create Artist Name Folder and Album Name Folder in the folder selected as Media location. In case you do not want to create any of them, just uncheck them accordingly. You can see the resulting location of the grabbed files under Final Output Folder line. At the bottom of the Step 3 window you can also find Free Space size available on the selected drive and Required space, which is the size of free space needed for copying of the tracks selected at Step 1.

After you finished, please click the Start button.


Step 4: Grabbing process

The grabbing process will start after clicking Start button. You can visually judge the completion of the grabbing process with the Progress Bar.

You can also cancel grabbing process clicking the Cancel button. After grabbing process is complete the program will offer you grabbing of another disc or closing the S4B Any Audio Grabber window.